# Example of a simple Python script to open figure12.npz
import numpy as np
import matplotlib.pyplot as plt

FILENAME = "figure12.npz"
dataset = np.load(FILENAME)

# To get names of fields and axes if in doubt,
# remove # from the following line:
#for data in dataset: print(data)

k = dataset["k"]
f = dataset["f"]
Ex_tilde = dataset["Ex_tilde"]

# To plot log10 of the absolute square of Exhat
Ex_tilde2_log = np.log10(np.abs(Ex_tilde)**2)
plt.pcolormesh(k,f,Ex_tilde2_log)
plt.xlabel("$k\\;[\\mathrm{m}^{-1}]$")
plt.ylabel("$f\\;[\\mathrm{Hz}]$")
plt.colorbar()
plt.show()
